## bglibs 1.104

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

adt/adt_sp.lo: libcompile adt/adt_sp.c adt/common.h
	./libcompile adt/adt_sp.c

adt/adt_sp.o: compile adt/adt_sp.c adt/common.h
	./compile adt/adt_sp.c

adt/ghash_add.lo: libcompile adt/ghash_add.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_add.c

adt/ghash_add.o: compile adt/ghash_add.c adt/ghash.h adt/common.h
	./compile adt/ghash_add.c

adt/ghash_foreach.lo: libcompile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_foreach.c

adt/ghash_foreach.o: compile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./compile adt/ghash_foreach.c

adt/ghash_free.lo: libcompile adt/ghash_free.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_free.c

adt/ghash_free.o: compile adt/ghash_free.c adt/ghash.h adt/common.h
	./compile adt/ghash_free.c

adt/ghash_get.lo: libcompile adt/ghash_get.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_get.c

adt/ghash_get.o: compile adt/ghash_get.c adt/ghash.h adt/common.h
	./compile adt/ghash_get.c

adt/ghash_init.lo: libcompile adt/ghash_init.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_init.c

adt/ghash_init.o: compile adt/ghash_init.c adt/ghash.h adt/common.h
	./compile adt/ghash_init.c

adt/ghash_insert.lo: libcompile adt/ghash_insert.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_insert.c

adt/ghash_insert.o: compile adt/ghash_insert.c adt/ghash.h adt/common.h
	./compile adt/ghash_insert.c

adt/ghash_iter.lo: libcompile adt/ghash_iter.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_iter.c

adt/ghash_iter.o: compile adt/ghash_iter.c adt/ghash.h adt/common.h
	./compile adt/ghash_iter.c

adt/ghash_rebuild.lo: libcompile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_rebuild.c

adt/ghash_rebuild.o: compile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./compile adt/ghash_rebuild.c

adt/ghash_rehash.lo: libcompile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_rehash.c

adt/ghash_rehash.o: compile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./compile adt/ghash_rehash.c

adt/ghash_remove.lo: libcompile adt/ghash_remove.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_remove.c

adt/ghash_remove.o: compile adt/ghash_remove.c adt/ghash.h adt/common.h
	./compile adt/ghash_remove.c

adt/ghash_search.lo: libcompile adt/ghash_search.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_search.c

adt/ghash_search.o: compile adt/ghash_search.c adt/ghash.h adt/common.h
	./compile adt/ghash_search.c

adt/ghash_set.lo: libcompile adt/ghash_set.c adt/ghash.h adt/common.h
	./libcompile adt/ghash_set.c

adt/ghash_set.o: compile adt/ghash_set.c adt/ghash.h adt/common.h
	./compile adt/ghash_set.c

adt/gqueue_pop.lo: libcompile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_pop.c

adt/gqueue_pop.o: compile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_pop.c

adt/gqueue_push.lo: libcompile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_push.c

adt/gqueue_push.o: compile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_push.c

adt/gqueue_top.lo: libcompile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./libcompile adt/gqueue_top.c

adt/gqueue_top.o: compile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./compile adt/gqueue_top.c

adt/gstack_pop.lo: libcompile adt/gstack_pop.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_pop.c

adt/gstack_pop.o: compile adt/gstack_pop.c adt/gstack.h adt/common.h
	./compile adt/gstack_pop.c

adt/gstack_push.lo: libcompile adt/gstack_push.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_push.c

adt/gstack_push.o: compile adt/gstack_push.c adt/gstack.h adt/common.h
	./compile adt/gstack_push.c

adt/gstack_top.lo: libcompile adt/gstack_top.c adt/gstack.h adt/common.h
	./libcompile adt/gstack_top.c

adt/gstack_top.o: compile adt/gstack_top.c adt/gstack.h adt/common.h
	./compile adt/gstack_top.c

adt/hashb.lo: libcompile adt/hashb.c adt/common.h
	./libcompile adt/hashb.c

adt/hashb.o: compile adt/hashb.c adt/common.h
	./compile adt/hashb.c

adt/hashs.lo: libcompile adt/hashs.c adt/common.h
	./libcompile adt/hashs.c

adt/hashs.o: compile adt/hashs.c adt/common.h
	./compile adt/hashs.c

all: dotlibs sysdeps.h libraries bg-installer cli-generate selftests

base64/asc2bin.lo: libcompile base64/asc2bin.c base64/base64.h str/str.h
	./libcompile base64/asc2bin.c

base64/asc2bin.o: compile base64/asc2bin.c base64/base64.h str/str.h
	./compile base64/asc2bin.c

base64/bin2asc.lo: libcompile base64/bin2asc.c base64/base64.h str/str.h
	./libcompile base64/bin2asc.c

base64/bin2asc.o: compile base64/bin2asc.c base64/base64.h str/str.h
	./compile base64/bin2asc.c

base64/decode_line.lo: libcompile base64/decode_line.c base64/base64.h str/str.h
	./libcompile base64/decode_line.c

base64/decode_line.o: compile base64/decode_line.c base64/base64.h str/str.h
	./compile base64/decode_line.c

base64/decode_part.lo: libcompile base64/decode_part.c base64/base64.h str/str.h
	./libcompile base64/decode_part.c

base64/decode_part.o: compile base64/decode_part.c base64/base64.h str/str.h
	./compile base64/decode_part.c

base64/encode_line.lo: libcompile base64/encode_line.c base64/base64.h str/str.h
	./libcompile base64/encode_line.c

base64/encode_line.o: compile base64/encode_line.c base64/base64.h str/str.h
	./compile base64/encode_line.c

base64/encode_part.lo: libcompile base64/encode_part.c base64/base64.h str/str.h
	./libcompile base64/encode_part.c

base64/encode_part.o: compile base64/encode_part.c base64/base64.h str/str.h
	./compile base64/encode_part.c

bg-installer: bg-installer.o load libbg-cli.a libbg-msg.a libbg-path.a libbg-iobuf.a libbg-fmt.a libbg-str.a libbg-sysdeps.a
	./load bg-installer libbg-cli.a libbg-msg.a libbg-path.a libbg-iobuf.a libbg-fmt.a libbg-str.a libbg-sysdeps.a  

bg-installer.o: compile bg-installer.c sysdeps.h cli/cli.h fmt/number.h iobuf/ibuf.h iobuf/common.h iobuf/obuf.h iobuf/iobuf.h msg/msg.h msg/wrap.h path/path.h str/str.h
	./compile bg-installer.c

cdb/cdb.lo: libcompile cdb/cdb.c cdb/cdb.h sysdeps.h
	./libcompile cdb/cdb.c

cdb/cdb.o: compile cdb/cdb.c cdb/cdb.h sysdeps.h
	./compile cdb/cdb.c

cdb/cdbhash.lo: libcompile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./libcompile cdb/cdbhash.c

cdb/cdbhash.o: compile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./compile cdb/cdbhash.c

cdb/find.lo: libcompile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./libcompile cdb/find.c

cdb/find.o: compile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./compile cdb/find.c

cdb/get.lo: libcompile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./libcompile cdb/get.c

cdb/get.o: compile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./compile cdb/get.c

cdb/getnext.lo: libcompile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./libcompile cdb/getnext.c

cdb/getnext.o: compile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./compile cdb/getnext.c

cdb/make.lo: libcompile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./libcompile cdb/make.c

cdb/make.o: compile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./compile cdb/make.c

cdb/read.lo: libcompile cdb/read.c cdb/cdb.h sysdeps.h
	./libcompile cdb/read.c

cdb/read.o: compile cdb/read.c cdb/cdb.h sysdeps.h
	./compile cdb/read.c

choose: warn-auto.sh choose.sh
	cat warn-auto.sh choose.sh >choose
	chmod 755 choose

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

cli-generate: perl-head.pl cli-generate.pl
	cat perl-head.pl cli-generate.pl >cli-generate
	chmod 755 cli-generate

cli/help.o: compile cli/help.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h systime.h cli/cli.h cli/internal.h
	./compile cli/help.c

cli/main.o: compile cli/main.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h systime.h cli/cli.h cli/internal.h
	./compile cli/main.c

compile: conf-cc
	(  \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crc-gentab: crc-gentab.o load libbg-msg.a libbg-iobuf.a libbg-sysdeps.a
	./load crc-gentab libbg-msg.a libbg-iobuf.a libbg-sysdeps.a  

crc-gentab.o: compile crc-gentab.c sysdeps.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h
	./compile crc-gentab.c

crc/crc16_arc_table.c: crc-gentab
	./crc-gentab crc16_arc 16 0x8005 reflected >$@

crc/crc16_arc_table.lo: libcompile crc/crc16_arc_table.c
	./libcompile crc/crc16_arc_table.c

crc/crc16_arc_table.o: compile crc/crc16_arc_table.c
	./compile crc/crc16_arc_table.c

crc/crc16_ccitt_table.c: crc-gentab
	./crc-gentab crc16_ccitt 16 0x1021 normal >$@

crc/crc16_ccitt_table.lo: libcompile crc/crc16_ccitt_table.c
	./libcompile crc/crc16_ccitt_table.c

crc/crc16_ccitt_table.o: compile crc/crc16_ccitt_table.c
	./compile crc/crc16_ccitt_table.c

crc/crc16_xmodem_table.c: crc-gentab
	./crc-gentab crc16_xmodem 16 0x8408 reflected >$@

crc/crc16_xmodem_table.lo: libcompile crc/crc16_xmodem_table.c
	./libcompile crc/crc16_xmodem_table.c

crc/crc16_xmodem_table.o: compile crc/crc16_xmodem_table.c
	./compile crc/crc16_xmodem_table.c

crc/crc32_table.c: crc-gentab
	./crc-gentab crc32 32 0x04C11DB7 reflected >$@

crc/crc32_table.lo: libcompile crc/crc32_table.c
	./libcompile crc/crc32_table.c

crc/crc32_table.o: compile crc/crc32_table.c
	./compile crc/crc32_table.c

crc/crc32c_table.c: crc-gentab
	./crc-gentab crc32c 32 0x1EDC6F41 reflected >$@

crc/crc32c_table.lo: libcompile crc/crc32c_table.c
	./libcompile crc/crc32c_table.c

crc/crc32c_table.o: compile crc/crc32c_table.c
	./compile crc/crc32c_table.c

crc/crc64_table.c: crc-gentab
	./crc-gentab crc64 64 0x42F0E1EBA9EA3693 normal >$@

crc/crc64_table.lo: libcompile crc/crc64_table.c
	./libcompile crc/crc64_table.c

crc/crc64_table.o: compile crc/crc64_table.c
	./compile crc/crc64_table.c

crc/gcrc16fwd.lo: libcompile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc16fwd.c

crc/gcrc16fwd.o: compile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc16fwd.c

crc/gcrc16rfl.lo: libcompile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc16rfl.c

crc/gcrc16rfl.o: compile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc16rfl.c

crc/gcrc32fwd.lo: libcompile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./libcompile crc/gcrc32fwd.c

crc/gcrc32fwd.o: compile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./compile crc/gcrc32fwd.c

crc/gcrc32rfl.lo: libcompile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc32rfl.c

crc/gcrc32rfl.o: compile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./compile crc/gcrc32rfl.c

crc/gcrc64fwd.lo: libcompile crc/gcrc64fwd.c crc/gcrc.h sysdeps.h crc/crc64.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h str/str.h
	./libcompile crc/gcrc64fwd.c

## bglibs 1.106

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

adt/adt_sp.lo adt/adt_sp.o: ltcompile adt/adt_sp.c adt/common.h
	./ltcompile adt/adt_sp.c

adt/ghash_add.lo adt/ghash_add.o: ltcompile adt/ghash_add.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_add.c

adt/ghash_foreach.lo adt/ghash_foreach.o: ltcompile adt/ghash_foreach.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_foreach.c

adt/ghash_free.lo adt/ghash_free.o: ltcompile adt/ghash_free.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_free.c

adt/ghash_get.lo adt/ghash_get.o: ltcompile adt/ghash_get.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_get.c

adt/ghash_init.lo adt/ghash_init.o: ltcompile adt/ghash_init.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_init.c

adt/ghash_insert.lo adt/ghash_insert.o: ltcompile adt/ghash_insert.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_insert.c

adt/ghash_iter.lo adt/ghash_iter.o: ltcompile adt/ghash_iter.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_iter.c

adt/ghash_rebuild.lo adt/ghash_rebuild.o: ltcompile adt/ghash_rebuild.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_rebuild.c

adt/ghash_rehash.lo adt/ghash_rehash.o: ltcompile adt/ghash_rehash.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_rehash.c

adt/ghash_remove.lo adt/ghash_remove.o: ltcompile adt/ghash_remove.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_remove.c

adt/ghash_search.lo adt/ghash_search.o: ltcompile adt/ghash_search.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_search.c

adt/ghash_set.lo adt/ghash_set.o: ltcompile adt/ghash_set.c adt/ghash.h adt/common.h
	./ltcompile adt/ghash_set.c

adt/gqueue_pop.lo adt/gqueue_pop.o: ltcompile adt/gqueue_pop.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_pop.c

adt/gqueue_push.lo adt/gqueue_push.o: ltcompile adt/gqueue_push.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_push.c

adt/gqueue_top.lo adt/gqueue_top.o: ltcompile adt/gqueue_top.c adt/gqueue.h adt/common.h
	./ltcompile adt/gqueue_top.c

adt/gstack_pop.lo adt/gstack_pop.o: ltcompile adt/gstack_pop.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_pop.c

adt/gstack_push.lo adt/gstack_push.o: ltcompile adt/gstack_push.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_push.c

adt/gstack_top.lo adt/gstack_top.o: ltcompile adt/gstack_top.c adt/gstack.h adt/common.h
	./ltcompile adt/gstack_top.c

adt/hashb.lo adt/hashb.o: ltcompile adt/hashb.c adt/common.h
	./ltcompile adt/hashb.c

adt/hashs.lo adt/hashs.o: ltcompile adt/hashs.c adt/common.h
	./ltcompile adt/hashs.c

all: dotlibs sysdeps.h libraries bg-installer cli-generate selftests

base64/asc2bin.lo base64/asc2bin.o: ltcompile base64/asc2bin.c base64/base64.h str/str.h
	./ltcompile base64/asc2bin.c

base64/bin2asc.lo base64/bin2asc.o: ltcompile base64/bin2asc.c base64/base64.h str/str.h
	./ltcompile base64/bin2asc.c

base64/decode_line.lo base64/decode_line.o: ltcompile base64/decode_line.c base64/base64.h str/str.h
	./ltcompile base64/decode_line.c

base64/decode_part.lo base64/decode_part.o: ltcompile base64/decode_part.c base64/base64.h str/str.h
	./ltcompile base64/decode_part.c

base64/encode_line.lo base64/encode_line.o: ltcompile base64/encode_line.c base64/base64.h str/str.h
	./ltcompile base64/encode_line.c

base64/encode_part.lo base64/encode_part.o: ltcompile base64/encode_part.c base64/base64.h str/str.h
	./ltcompile base64/encode_part.c

bg-installer: bg-installer.o ltload libbg-cli.la libbg-msg.la libbg-path.la libbg-iobuf.la libbg-fmt.la libbg-str.la libbg-sysdeps.la
	./ltload bg-installer libbg-cli.la libbg-msg.la libbg-path.la libbg-iobuf.la libbg-fmt.la libbg-str.la libbg-sysdeps.la -static 

bg-installer.o: compile bg-installer.c sysdeps.h cli/cli.h fmt/number.h iobuf/ibuf.h iobuf/common.h iobuf/obuf.h iobuf/iobuf.h msg/msg.h msg/debug.h msg/wrap.h path/path.h str/str.h
	./compile bg-installer.c

cdb/cdb.lo cdb/cdb.o: ltcompile cdb/cdb.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/cdb.c

cdb/cdbhash.lo cdb/cdbhash.o: ltcompile cdb/cdbhash.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/cdbhash.c

cdb/find.lo cdb/find.o: ltcompile cdb/find.c cdb/cdb.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/find.c

cdb/get.lo cdb/get.o: ltcompile cdb/get.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./ltcompile cdb/get.c

cdb/getnext.lo cdb/getnext.o: ltcompile cdb/getnext.c cdb/cdb.h sysdeps.h cdb/str.h str/str.h
	./ltcompile cdb/getnext.c

cdb/make.lo cdb/make.o: ltcompile cdb/make.c cdb/cdb.h sysdeps.h cdb/make.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h sysdeps.h uint32.h sysdeps.h uintnn.h
	./ltcompile cdb/make.c

cdb/read.lo cdb/read.o: ltcompile cdb/read.c cdb/cdb.h sysdeps.h
	./ltcompile cdb/read.c

choose: warn-auto.sh choose.sh
	cat warn-auto.sh choose.sh >choose
	chmod 755 choose

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

cli-generate: perl-head.pl cli-generate.pl
	cat perl-head.pl cli-generate.pl >cli-generate
	chmod 755 cli-generate

cli/help.lo cli/help.o: ltcompile cli/help.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h systime.h cli/cli.h cli/internal.h
	./ltcompile cli/help.c

cli/main.lo cli/main.o: ltcompile cli/main.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h systime.h cli/cli.h cli/internal.h
	./ltcompile cli/main.c

compile: conf-cc
	(  \
	  echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

crc-gentab: crc-gentab.o ltload libbg-msg.la libbg-iobuf.la libbg-sysdeps.la
	./ltload crc-gentab libbg-msg.la libbg-iobuf.la libbg-sysdeps.la -static 

crc-gentab.o: compile crc-gentab.c sysdeps.h iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h
	./compile crc-gentab.c

crc/crc16_arc_table.c: crc-gentab
	./crc-gentab crc16_arc 16 0x8005 reflected >$@

crc/crc16_arc_table.lo crc/crc16_arc_table.o: ltcompile crc/crc16_arc_table.c
	./ltcompile crc/crc16_arc_table.c

crc/crc16_ccitt_table.c: crc-gentab
	./crc-gentab crc16_ccitt 16 0x1021 normal >$@

crc/crc16_ccitt_table.lo crc/crc16_ccitt_table.o: ltcompile crc/crc16_ccitt_table.c
	./ltcompile crc/crc16_ccitt_table.c

crc/crc16_xmodem_table.c: crc-gentab
	./crc-gentab crc16_xmodem 16 0x8408 reflected >$@

crc/crc16_xmodem_table.lo crc/crc16_xmodem_table.o: ltcompile crc/crc16_xmodem_table.c
	./ltcompile crc/crc16_xmodem_table.c

crc/crc32_table.c: crc-gentab
	./crc-gentab crc32 32 0x04C11DB7 reflected >$@

crc/crc32_table.lo crc/crc32_table.o: ltcompile crc/crc32_table.c
	./ltcompile crc/crc32_table.c

crc/crc32c_table.c: crc-gentab
	./crc-gentab crc32c 32 0x1EDC6F41 reflected >$@

crc/crc32c_table.lo crc/crc32c_table.o: ltcompile crc/crc32c_table.c
	./ltcompile crc/crc32c_table.c

crc/crc64_table.c: crc-gentab
	./crc-gentab crc64 64 0x42F0E1EBA9EA3693 normal >$@

crc/crc64_table.lo crc/crc64_table.o: ltcompile crc/crc64_table.c
	./ltcompile crc/crc64_table.c

crc/gcrc16fwd.lo crc/gcrc16fwd.o: ltcompile crc/gcrc16fwd.c crc/gcrc.h sysdeps.h crc/crc16_ccitt.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc16fwd.c

crc/gcrc16rfl.lo crc/gcrc16rfl.o: ltcompile crc/gcrc16rfl.c crc/gcrc.h sysdeps.h crc/crc16_arc.h crc/crc16_xmodem.h uint16.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc16rfl.c

crc/gcrc32fwd.lo crc/gcrc32fwd.o: ltcompile crc/gcrc32fwd.c crc/gcrc.h sysdeps.h
	./ltcompile crc/gcrc32fwd.c

crc/gcrc32rfl.lo crc/gcrc32rfl.o: ltcompile crc/gcrc32rfl.c crc/gcrc.h sysdeps.h crc/crc32.h uint32.h sysdeps.h uintnn.h crc/crc32c.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc32rfl.c

crc/gcrc64fwd.lo crc/gcrc64fwd.o: ltcompile crc/gcrc64fwd.c crc/gcrc.h sysdeps.h crc/crc64.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crc/gcrc64fwd.c

crc/gcrc64rfl.lo crc/gcrc64rfl.o: ltcompile crc/gcrc64rfl.c crc/gcrc.h sysdeps.h
	./ltcompile crc/gcrc64rfl.c

crypt.lib: compile load
	@echo -n 'Checking for -lcrypt: '
	@echo 'main() { ; }' >trylib-lcrypt.c
	@{ ./compile trylib-lcrypt.c && ./load trylib-lcrypt -lcrypt; } >/dev/null 2>&1 \
	  && { echo -lcrypt >crypt.lib; echo yes; } \
	  || { echo -n >crypt.lib; echo no; }
	@rm -f trylib-lcrypt.c trylib-lcrypt.o trylib-lcrypt

crypto/hmac-md5.lo crypto/hmac-md5.o: ltcompile crypto/hmac-md5.c sysdeps.h crypto/hmac.h crypto/md5.h str/str.h
	./ltcompile crypto/hmac-md5.c

crypto/hmac-sha1.lo crypto/hmac-sha1.o: ltcompile crypto/hmac-sha1.c sysdeps.h crypto/hmac.h crypto/sha1.h sysdeps.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/hmac-sha1.c

crypto/hmac-sha256.lo crypto/hmac-sha256.o: ltcompile crypto/hmac-sha256.c crypto/hmac.h crypto/sha256.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha256.c

crypto/hmac-sha384.lo crypto/hmac-sha384.o: ltcompile crypto/hmac-sha384.c sysdeps.h crypto/hmac.h crypto/sha384.h sysdeps.h crypto/sha512.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha384.c

crypto/hmac-sha512.lo crypto/hmac-sha512.o: ltcompile crypto/hmac-sha512.c sysdeps.h crypto/hmac.h crypto/sha512.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/hmac-sha512.c

crypto/hmac.lo crypto/hmac.o: ltcompile crypto/hmac.c sysdeps.h str/str.h crypto/hmac.h
	./ltcompile crypto/hmac.c

crypto/md4.lo crypto/md4.o: ltcompile crypto/md4.c sysdeps.h crypto/md4.h
	./ltcompile crypto/md4.c

crypto/md5-crypt.lo crypto/md5-crypt.o: ltcompile crypto/md5-crypt.c crypto/md5.h
	./ltcompile crypto/md5-crypt.c

crypto/md5.lo crypto/md5.o: ltcompile crypto/md5.c sysdeps.h crypto/md5.h str/str.h
	./ltcompile crypto/md5.c

crypto/sha1.lo crypto/sha1.o: ltcompile crypto/sha1.c crypto/sha1.h sysdeps.h uint32.h sysdeps.h uintnn.h uint64.h sysdeps.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/sha1.c

crypto/sha256.lo crypto/sha256.o: ltcompile crypto/sha256.c crypto/sha256.h sysdeps.h uint32.h sysdeps.h uintnn.h uint64.h sysdeps.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha256.c

crypto/sha384.lo crypto/sha384.o: ltcompile crypto/sha384.c sysdeps.h crypto/sha384.h sysdeps.h crypto/sha512.h sysdeps.h uint64.h sysdeps.h uintnn.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha384.c

crypto/sha512.lo crypto/sha512.o: ltcompile crypto/sha512.c sysdeps.h crypto/sha512.h sysdeps.h uint64.h sysdeps.h uintnn.h iobuf/obuf.h iobuf/common.h str/str.h
	./ltcompile crypto/sha512.c

crypto/surf.lo crypto/surf.o: ltcompile crypto/surf.c crypto/surf.h uint32.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/surf.c

crypto/surfrand.lo crypto/surfrand.o: ltcompile crypto/surfrand.c crypto/surfrand.h crypto/surf.h uint32.h sysdeps.h uintnn.h selftest.c iobuf/iobuf.h iobuf/common.h iobuf/ibuf.h iobuf/obuf.h msg/msg.h msg/debug.h str/str.h
	./ltcompile crypto/surfrand.c

dict/add.lo dict/add.o: ltcompile dict/add.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/add.c

dict/dicthash.lo dict/dicthash.o: ltcompile dict/dicthash.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/dicthash.c

dict/foreach.lo dict/foreach.o: ltcompile dict/foreach.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/foreach.c

dict/free.lo dict/free.o: ltcompile dict/free.c dict/dict.h str/str.h uint32.h sysdeps.h uintnn.h
	./ltcompile dict/free.c

=== debian/changelog ===
bglibs (1.106-3) unstable; urgency=medium

  * QA upload.
  * Do not add -fPIC to CFLAGS. This undoes the change in the previous
    upload as it was not really necessary. Thanks to Adrian Bunk for
    the report. Closes: #842109.

 -- Santiago Vila <sanvila@debian.org>  Wed, 26 Oct 2016 13:29:02 +0200

bglibs (1.106-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build binaries with -fPIC (Closes: #837709)

 -- Balint Reczey <balint@balintreczey.hu>  Fri, 30 Sep 2016 20:17:16 +0200

bglibs (1.106-2) unstable; urgency=medium

  * QA upload.
  * Switch to "3.0 (quilt)" source format.
  * debian/rules: Drop patch target and related stuff.
  * debian/control: Package is orphaned (Bug #544056),
    set Maintainer field to "Debian QA Group".
  * debian/control: Drop Recommends of libbg1 on libbg1-doc.
  * debian/rules and debian/implicit: Use gzip -n to improve
    reproducibility. Closes: #776942. Thanks to Chris Lamb.
  * debian/rules: Allow build with umask 002 to improve reproducibility.
  * debian/rules: Do not save or restore conf-bin, conf-cc, conf-include,
    conf-lib or conf-man. Just remove them in the clean target.
  * debian/rules: Add conf-ld to the mix and use dpkg-buildflags for hardening.
  * debian/rules: Add build-arch and build-indep targets. Closes: #831918.
  * debian/rules: Do not pass -isp to dpkg-gencontrol, it does nothing.
  * debian/implicit: Sort output of find before calculating md5sums to
    improve reproducibility.
  * debian/implicit: Add support for triggers.
  * debian/libbg1.triggers: New file to do ldconfig stuff with triggers.
  * Drop postinst and postrm accordingly.
  * debian/control: Standards-Version: 3.9.8.

 -- Santiago Vila <sanvila@debian.org>  Sun, 07 Aug 2016 17:44:22 +0200

bglibs (1.106-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Build-depend on libtool-bin. Closes: #761734.

 -- Matthias Klose <doko@debian.org>  Thu, 09 Oct 2014 10:15:11 +0000

bglibs (1.106-1) unstable; urgency=low

  * new upstream release.
  * debian/rules: package libbg-docs: properly install documentation
    into /usr/share/doc/libbg$(SO)-doc/.

 -- Gerrit Pape <pape@smarden.org>  Tue, 06 Oct 2009 03:05:13 +0000

bglibs (1.104-2) unstable; urgency=low

  * debian/rules: typo (fixes FTBFS on autobuilders).

 -- Gerrit Pape <pape@smarden.org>  Mon, 12 May 2008 08:54:49 +0000

bglibs (1.104-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/ibuf_openreadclose.diff: remove; applied upstream.
  * debian/rules: mostly redo; build, install new packages; drop diet
    libraries for now.
  * debian/control: binary packages change to libbg1, libbg1-dev,
    libbg1-doc, providing shared and static libraries; no longer
    Build-Depends: dietlibc-dev; Build-Depends: libtool;
    Standards-Version: 3.7.3.0.
  * bglibs-dev.postinst, bglibs-dev.README.Debian, bglibs-doc.docs:
    rename to libbg1.*, -dev.*, -doc.* respectively.
  * debian/libbg1-dev.postinst: drop support for upgrade from <<
    1.015-0; run ldconfig on configure.
  * debian/libbg1.postrm: new; run ldconfig on remove.
  * debian/libbg1-doc.docs: adapt paths.
  * debian/implicit: update to revision a09db2e.

 -- Gerrit Pape <pape@smarden.org>  Tue, 29 Apr 2008 21:52:52 +0000

bglibs (1.041-2) unstable; urgency=low

  * debian/diff/ibuf_openreadclose.diff: ibuf_openreadclose() returns 0 if
    it it fails to open the file (#376244).

 -- Gerrit Pape <pape@smarden.org>  Tue, 11 Jul 2006 21:04:49 +0000

bglibs (1.041-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: remove workaround for #327229; strip binaries only; install
    man page into /usr/share/man/ hierarchy and gzip -9.
  * debian/diff/signed-char.diff: remove; applied upstream.

 -- Gerrit Pape <pape@smarden.org>  Sun, 16 Apr 2006 16:22:53 +0000

bglibs (1.031-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/signed-char.diff: adapt.
  * debian/copyright: adapt; license now is LGPL-2.1.

 -- Gerrit Pape <pape@smarden.org>  Tue,  6 Dec 2005 16:49:38 +0000

bglibs (1.027-3) unstable; urgency=low

  * debian/diff/signed-char.diff; new; asc2bin: char->signed char (closes:
    #332321).

 -- Gerrit Pape <pape@smarden.org>  Tue, 18 Oct 2005 18:23:36 +0000

bglibs (1.027-2) unstable; urgency=medium

  * debian/rules: use -O1 in CFLAGS on arm, hppa for build against glibc,
    don't use -Os switch to diet on arm for build against diet libc (works
    around: #327229).

 -- Gerrit Pape <pape@smarden.org>  Mon, 26 Sep 2005 10:00:22 +0000

bglibs (1.027-1) unstable; urgency=low

  * new upstream version.
  * debian/rules: use -O0 in CFLAGS on arm, hppa to work around gcc-4
    optimization problem.

 -- Gerrit Pape <pape@smarden.org>  Wed,  7 Sep 2005 11:20:51 +0000

bglibs (1.026-1) unstable; urgency=low

  * new upstream version.
  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    remove; fixed upstream.

 -- Gerrit Pape <pape@smarden.org>  Mon, 22 Aug 2005 18:22:34 +0000

bglibs (1.024-2) unstable; urgency=low

  * debian/diff/findprev-in-empty.diff, debian/diff/findprev-in-empty.diff:
    new (fixes mailfront testing failures on alpha, ia64).
  * debian/rules: unpack: apply diffs in debian/diff/.
  * debian/bglibs-dev.postinst: minor.

 -- Gerrit Pape <pape@smarden.org>  Sun, 31 Jul 2005 09:13:08 +0000

bglibs (1.024-1) unstable; urgency=low

  * new upstream version.

 -- Gerrit Pape <pape@smarden.org>  Thu, 14 Jul 2005 08:01:03 +0000

bglibs (1.023-1) unstable; urgency=low

  * new upstream version.
  * debian/control: Standards-Version: 3.6.2.0.

 -- Gerrit Pape <pape@smarden.org>  Sun, 10 Jul 2005 11:14:18 +0000

bglibs (1.022-1) unstable; urgency=low

  * new upstream version.
    - fixes build failure on amd64 (thx Kurt Roeckx, closes: #313064).
  * debian/control: Depends: ${shlibs:Depends}.
  * debian/rules: don't install target directories, make install now does;
    binary-arch: run dpkg-shlibdeps.
  * debian/copyright: 2005.



=== debian/control ===
Source: bglibs
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: libtool, libtool-bin
Standards-Version: 3.9.8

Package: libbg1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}
Suggests: libbg1-dev
Description: BG Libraries Collection
 This package contains a collection of libraries written by myself
 [Bruce Guenter] and put in use in various packages.
 .
 The library collection is mandatory to build most of Bruce Guenter's
 software packages available at http://untroubled.org.
 .
 This package contains the shared libraries.

Package: libbg1-dev
Section: libdevel
Architecture: any
Depends: libbg1 (= ${binary:Version}), ${shlibs:Depends}
Provides: libbg-dev, bglibs-dev
Conflicts: libbg-dev, bglibs-dev
Recommends: bglibs-doc
Description: BG Libraries Collection (development)
 This package contains a collection of libraries written by myself
 [Bruce Guenter] and put in use in various packages.
 .
 The library collection is mandatory to build most of Bruce Guenter's
 software packages available at http://untroubled.org.
 .
 This package contains the development files.

Package: libbg1-doc
Section: doc
Architecture: all
Suggests: libbg1-dev
Conflicts: bglibs-doc
Description: BG Libraries Collection (documentation)
 The bglibs library collection is mandatory to build most of Bruce
 Guenter's software packages available at http://untroubled.org.
 .
 This package contains the documentation for bglibs.

=== debian/rules ===
#!/usr/bin/make -f

CC = gcc
CFLAGS := $(shell dpkg-buildflags --get CFLAGS) -Wall
CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)
STRIP = strip
SO = $(shell IFS=: read v r a <LIBVERSION && echo $$(($$v-$$a)))

ifneq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
  STRIP = : nostrip
endif

DIR = $(shell pwd)/debian/libbg$(SO)

build-arch: build

build-indep: build

build: deb-checkdir build-stamp

build-stamp:
	-'$(CC)' -v
	echo /usr/bin > conf-bin
	echo '$(CC) $(CFLAGS) $(CPPFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld
	echo /usr/include/bglibs > conf-include
	echo /usr/lib/bglibs > conf-lib
	echo /usr/share/man > conf-man
	$(MAKE)
	touch build-stamp

clean: deb-checkdir deb-checkuid
	$(MAKE) clean
	rm -rf .libs */.libs
	rm -f conf-bin conf-cc conf-ld conf-include conf-lib conf-man
	rm -f build-stamp
	rm -rf '$(DIR)' '$(DIR)'-dev '$(DIR)'-doc
	rm -f debian/libbg'$(SO)'.shlibs debian/files debian/substvars changelog

install: install-indep install-arch

install-indep: deb-checkdir deb-checkuid
	rm -rf '$(DIR)'-doc
	install -d -m0755 '$(DIR)'-doc/usr/share/doc/libbg'$(SO)'-doc/html
	install -d -m0755 '$(DIR)'-doc/usr/share/doc/libbg'$(SO)'-doc/latex
	install -m0644 doc/html/* \
	  '$(DIR)'-doc/usr/share/doc/libbg'$(SO)'-doc/html/
	install -m0644 doc/latex/* \
	  '$(DIR)'-doc/usr/share/doc/libbg'$(SO)'-doc/latex/
	test -r changelog || ln -s ChangeLog changelog

install-arch: deb-checkdir deb-checkuid build-stamp
	# libbg-dev
	rm -rf '$(DIR)' '$(DIR)'-dev
	$(MAKE) install install_prefix='$(DIR)'-dev/
	gzip -f -9n '$(DIR)'-dev/usr/share/man/man1/*.1
	rm -f '$(DIR)'-dev/usr/lib/bglibs/*.la
	ln -s . '$(DIR)'-dev/usr/lib/bglibs/lib
	ln -s ../../include/bglibs '$(DIR)'-dev/usr/lib/bglibs/include
	$(STRIP) --strip-debug '$(DIR)'-dev/usr/lib/bglibs/*.a
	for i in '$(DIR)'-dev/usr/bin/*; do \
	  test "`head -c2 $$i`" = '#!' || $(STRIP) -R .comment -R .note $$i; \
	done
	for i in '$(DIR)'-dev/usr/lib/bglibs/*.so; do \
	  mv $$i '$(DIR)'-dev/usr/lib/ && \
	    ln -s ../$${i##*/} '$(DIR)'-dev/usr/lib/bglibs/ || exit 1; \
	done
	# libbg
	install -d -m0755 '$(DIR)'/usr/lib
	for i in '$(DIR)'-dev/usr/lib/bglibs/*.so.*; do \
	  mv $$i '$(DIR)'/usr/lib/ && \
	    ln -s ../$${i##*/} '$(DIR)'-dev/usr/lib/bglibs/ || exit 1; \
	done
	chmod 0644 '$(DIR)'/usr/lib/*
	$(STRIP) -R .note -R .comment --strip-unneeded \
	  '$(DIR)'/usr/lib/*.so.?.?.?
	echo 'libbg $(SO) libbg$(SO)' >debian/libbg'$(SO)'.shlibs
	echo 'libbg-sysdeps $(SO) libbg$(SO)' >>debian/libbg'$(SO)'.shlibs
	# changelog
	test -r changelog || ln -s ChangeLog changelog

binary: binary-indep binary-arch

binary-indep: install-indep libbg'$(SO)'-doc.deb
	dpkg-gencontrol -plibbg'$(SO)'-doc -P'$(DIR)'-doc
	chmod -R u+w,go=rX '$(DIR)'-doc
	dpkg -b '$(DIR)'-doc ..

binary-arch: install-arch libbg'$(SO)'-dev.deb libbg'$(SO)'.deb
	# libbg-dev
	rm -f debian/substvars
	dpkg-shlibdeps '$(DIR)'-dev/usr/bin/*
	dpkg-gencontrol -plibbg'$(SO)'-dev -P'$(DIR)'-dev
	chmod -R u+w,go=rX '$(DIR)'-dev
	dpkg -b '$(DIR)'-dev ..
	# libbg
	rm -f debian/substvars
	dpkg-shlibdeps '$(DIR)'/usr/lib/*.so.?.?.?
	dpkg-gencontrol -plibbg'$(SO)' -P'$(DIR)'
	chmod -R u+w,go=rX '$(DIR)'
	dpkg -b '$(DIR)' ..

.PHONY: build build-arch build-indep clean binary-indep binary-arch binary install-indep \
	  install-arch install

include debian/implicit

## bglibs 2.04%2Bdfsg

=== debian/control ===
Source: bglibs
Section: devel
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13),
               doxygen,
               libtool,
               libtool-bin,
Homepage: https://untroubled.org/bglibs/
Vcs-Git: https://salsa.debian.org/debian/bglibs.git
Vcs-Browser: https://salsa.debian.org/debian/bglibs
Standards-Version: 4.7.0
Rules-Requires-Root: no

Package: libbg2
Architecture: any
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libbg2-dev
Description: This package contains a collection of libraries (libraries)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the shared libraries of bglibs.

Package: libbg-dev
Section: libdevel
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: libbg2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}, ${perl:Depends}
Recommends: bglibs-doc
Description: This package contains a collection of libraries (development)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the development files for bglibs.

Package: libbg2-doc
Section: doc
Architecture: all
Suggests: libbg2-dev
Depends: ${misc:Depends}
Conflicts: bglibs-doc
Multi-Arch: foreign
Description: This package contains a collection of libraries (documentation)
 written by Bruce Guenter and put in use in various packages.
 .
 The library collection is mandatory to build most of software packages
 available at http://untroubled.org.
 .
 This package contains the documentation for bglibs.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
CC = gcc
DESTDIR=$(CURDIR)/debian/tmp
PKG_LIB = debian/libbg2
PKG_DEV = debian/libbg-dev

%:
	dh $@

override_dh_dwz:
	: Skipping dwz, compression not beneficial on bglibs binaries

override_dh_auto_configure:
	echo $(CC) $(CFLAGS) $(CPPFLAGS) > conf-cc
	echo $(CC) $(LDFLAGS) > conf-ld
	echo $(DESTDIR)/usr/share/man > conf-man
	echo $(DESTDIR)/usr/bin > conf-bin
	echo $(CURDIR)/$(PKG_DEV)/usr/include > conf-include
	echo $(CURDIR)/$(PKG_LIB)/usr/lib > conf-lib

override_dh_auto_build:
	dh_auto_build -- libraries man programs
	doxygen config.dxy

override_dh_auto_test:
	dh_auto_test -- selftests

override_dh_auto_install:
	$(MAKE) install
	rm $(PKG_LIB)/usr/lib/*.la
	# Static linking is part of development suite
	mkdir $(PKG_DEV)/usr/lib
	mv $(PKG_LIB)/usr/lib/*.a $(PKG_DEV)/usr/lib
	mv $(PKG_LIB)/usr/lib/libbg.so $(PKG_DEV)/usr/lib

override_dh_gencontrol:
	dh_gencontrol -- -Vmisc:Built-Using="$(shell dpkg-query -f '$${source:Package} (= $${source:Version})' -W libc-dev-bin)"

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.sig/,dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//" \
	https://untroubled.org/bglibs/ \
	(?:|.*/)bglibs(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)
